Page MenuHomePhabricator

Fix numerals for Saraiki
Closed, ResolvedPublic

Description

When I added the patch for T201471, I wrongly assumed Saraiki used the same numerals as Farsi, but the numerals for 4, 5 and 6 turned out to be different (per T201471#4535148). Adding a patch shortly which should fix this.

Event Timeline

jhsoby created this task.Aug 27 2018, 9:53 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 27 2018, 9:53 PM

Change 455732 had a related patch set uploaded (by Jon Harald Søby; owner: Jon Harald Søby):
[mediawiki/core@master] Fix numerals for Saraiki

https://gerrit.wikimedia.org/r/455732

Is there a reference that says that Saraiki uses Arabic and not Persian numbers?

jhsoby added a comment.Oct 1 2018, 1:16 PM

*Eastern Arabic.

The word of @Baloch007 is good enough for me – it was on his request I added the numeral conversion in the first place. When I added them I made the mistake of assuming they were the same as in Farsi, so I just copied the configuration from MessagesFa.php – all but three numbers look the same, but all ten have different Unicode codepoints, so that is what this patch fixes. Anyways, some googling led me to this Wikipedia article, it's difficult to find other English-language sources.

This is a bit strange and inconsistent... Why, for example, does the Saraiki Incubator main page use the Persian numbers?

I'd be much more confident if I saw a website in Saraiki that uses numbers.

Change 455732 merged by jenkins-bot:
[mediawiki/core@master] Fix numerals for Saraiki

https://gerrit.wikimedia.org/r/455732

@jhsoby / @Amire80: Patch has been merged, is there more to do here or can this task be resolved?

jhsoby closed this task as Resolved.Oct 26 2018, 10:36 AM

Nope, all good. Thanks for the reminder!